# TextureMagnificationFilter

#### TextureMagnificationFilter()
Renderer/TextureMagnificationFilter.js 16

Enumerates all possible filters used when magnifying WebGL textures.

##### See:

- TextureMinificationFilter

### Members

#### static constantCesium.TextureMagnificationFilter.LINEAR : Number
Renderer/TextureMagnificationFilter.js 30

Samples the texture through bi-linear interpolation of the four nearest pixels. This produces smoother results than `NEAREST` filtering.

#### static constantCesium.TextureMagnificationFilter.NEAREST : Number
Renderer/TextureMagnificationFilter.js 23

Samples the texture by returning the closest pixel.